<div class="editor-container">
  <section class="upload-section">
    <h2>Upload new photos here!</h2>
    <input #fileInput
           style="display: none;"
           type="file"
           accept="image/*"
           (change)="changeFile($event)">
    <button class="select-btn" (click)="fileInput.click()">Select a file</button>
    <ng-container *ngIf="imgUrl">
      <div class="preview-image-container"><img [src]="imgUrl" alt="Preview image"></div>
    </ng-container>
    <label>Add description to your photo</label>
    <textarea type="text" [(ngModel)]="description"></textarea>
    <button [disabled]="!readyToSend"
            (click)="uploadPost()"
            class="add-btn">Add New Photo
    </button>
  </section>

  <section class="posts-section">
    <div class="post-container" *ngFor="let post of posts">
      <app-post-card [post]="post"></app-post-card>
      <br>
      <button (click)="setAvatar(post)" class="avatar-btn">Set as Avatar</button>
      <button (click)="deletePost(post.id)" class="delete-btn">Delete</button>
    </div>
  </section>
</div>
